throwPower = 20

function init()
    RegisterTool("luckyblock", "Lucky block", "MOD/vox/model.vox")
	SetBool("game.tool.luckyblock.enabled", true)

    --SOUNDS
    throwSnd = LoadSound("MOD/snd/throw.ogg")
end
function tick(dt)
    if not GetBool("game.player.canusetool") or GetString("game.player.tool") ~= "luckyblock" then return end

    local glowShape = GetBodyShapes(GetToolBody())[2]
    SetShapeEmissiveScale(glowShape, (math.sin(GetTime()*2)+1)/2)

    local ct = GetCameraTransform()
    local p = TransformToParentPoint(ct, Vec(0, 0, -2))

    if InputPressed("lmb") then
        newBlock = Spawn("MOD/luckyblocks/normal/block.xml", Transform(p))[2]
        SetBodyVelocity(newBlock, TransformToParentVec(ct, Vec(0, 0, -throwPower)))

        PlaySound(throwSnd, GetPlayerTransform().pos, 0.2)
    end
end