#include "../../particles.lua"

local active = true
local cooldown = 5
local waited = 0

function sleep()
    local selfPos = GetBodyTransform(self).pos

    --Particles
    openParticles(selfPos, 1, 0.2, 0.2)
    --Break sound
    PlaySound(openSnd, selfPos, 2)
    --DELETE SELF
    Delete(self)
    active = false
end

function init()
    self = FindBody("luckyblock", false)

    --SOUNDS
    openSnd = LoadSound("MOD/snd/open.ogg")
end
function tick(dt)
    if not active then return end

    --Fly up (because it's a balloon)
    SetBodyVelocity(self, Vec(0, 5, 0))

    --If countdown has counted down
    waited = waited + dt
    if waited < cooldown then return end
    waited = 0

    --VARIABLES
    local selfPos = GetBodyTransform(self).pos

    --Drop 2-4 lucky blocks
    local amount = math.random(2, 4)
    local size = 2
    for x=1, amount do
        local offsetT = Transform(selfPos, QuatEuler(0, 360/amount*x, 0))
        local newPosition = TransformToParentPoint(offsetT, Vec(size, 0, 0))

        --Spawn lucky block
        Spawn("MOD/luckyblocks/normal/block.xml", Transform(newPosition))
    end

    sleep()
end