#include "quickMath.lua"

function openParticles(pos, red, green, blue)
    ParticleReset()

    ParticleType("plain")
    ParticleTile(3)
    ParticleColor(red, green, blue)
    ParticleRadius(0.2, 0, "easein")
    ParticleAlpha(1)
    ParticleGravity(-3)
    ParticleDrag(0.4)
    ParticleEmissive(0.1)
    ParticleStretch(5, 0)
    ParticleCollide(1, 1, "constant", 0.1)

    for x=1, 100 do
        SpawnParticle(pos, VecScale(randVec(-1, 1, 3), 15), math.random(0, 100)/100)
    end
end